ATMEL: S_usb_user_configuration_descriptor Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_usb_user_configuration_descriptor Struct Reference

`#include <usb_descriptors.h>`

## Data Fields

S_usb_configuration_descriptor | cfg_mouse
S_usb_interface_descriptor | ifc_mouse
S_usb_hid_descriptor | hid_mouse
S_usb_endpoint_descriptor | ep1_mouse
S_usb_interface_descriptor | ifc_ms
S_usb_endpoint_descriptor | ep1_ms
S_usb_endpoint_descriptor | ep2_ms
S_usb_interface_descriptor | ifc_hid
S_usb_hid_descriptor | hid
S_usb_endpoint_descriptor | ep1_hid
S_usb_endpoint_descriptor | ep2_hid

## Detailed Description

Definition at line 352 of file usb_descriptors.h.

## Field Documentation

S_usb_configuration_descriptor S_usb_user_configuration_descriptor::cfg_mouse

Definition at line 354 of file usb_descriptors.h.

S_usb_interface_descriptor S_usb_user_configuration_descriptor::ifc_mouse

Definition at line 355 of file usb_descriptors.h.

S_usb_hid_descriptor S_usb_user_configuration_descriptor::hid_mouse

Definition at line 356 of file usb_descriptors.h.

Referenced by hid_get_hid_descriptor().

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep1_mouse

Definition at line 357 of file usb_descriptors.h.

S_usb_interface_descriptor S_usb_user_configuration_descriptor::ifc_ms

Definition at line 358 of file usb_descriptors.h.

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep1_ms

Definition at line 359 of file usb_descriptors.h.

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep2_ms

Definition at line 360 of file usb_descriptors.h.

S_usb_interface_descriptor S_usb_user_configuration_descriptor::ifc_hid

Definition at line 361 of file usb_descriptors.h.

S_usb_hid_descriptor S_usb_user_configuration_descriptor::hid

Definition at line 362 of file usb_descriptors.h.

Referenced by hid_get_hid_descriptor().

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep1_hid

Definition at line 363 of file usb_descriptors.h.

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor::ep2_hid

Definition at line 364 of file usb_descriptors.h.

The documentation for this struct was generated from the following file:

- usb_descriptors.h